PlayIt Cartwall

User guide
Version 2.01
https://www.playitsoftware.com/Support


Installation

To install PlayIt Cartwall, download the latest version from http://www.playitsoftware.com/Products/Recorder.
Once the download is complete, run the downloaded .exe file.
You will first be presented with the software licence agreement. Once you have read and agree to these terms, click I Agree.
Choose the components to install. Here you can select whether to install Start Menu and Desktop shortcuts. Click Next to continue.
Next, choose the location to install the software. By default, this is in Program Files, but can be changed to your preference. Click Install to begin installation.
Tick Start PlayIt Cartwall and click Finish to launch PlayIt Cartwall. By default you can access PlayIt Cartwall from the Start Menu or Desktop.
Minimum requirements
PlayIt Cartwall requires the .NET Framework 4.7.1 which is automatically downloaded and installed via the installer. To install this framework requires at least Windows 7 SP1, Windows 8.1 or Windows 10 Anniversary Update.

The contents of Installation

Upgrading versions
Uninstallation


Upgrading versions

New versions of PlayIt Cartwall are regularly available from https://www.playitsoftware.com . It is important to back up your data before you install any new versions. Data and logs for PlayIt Cartwall are stored in the Windows 'ProgramData' folder.
By default, this is located at:
C:\ProgramData\PlayIt Cartwall
To back up your data, simply copy this folder to an alternative location, such as an external hard drive.
When a new version is installed, or an old version is uninstalled, the data in the location above will not be removed.


Uninstallation

When installed, PlayIt Cartwall will include an Uninstall shortcut in the Start Menu.
If you chose not to add Start Menu shortcuts the Uninstaller can be found at (by default):
C:\Program Files (x86)\PlayIt Cartwall\uninstall.exe or
C:\Program Files\PlayIt Cartwall\uninstall.exe
Double click the icon to start the uninstall process. Click Uninstall to remove PlayIt Cartwall.
Note that you can choose whether PlayIt Cartwall data is removed when you uninstall.


Getting Started

In order to begin using PlayIt Cartwall, you need to log into your PlayIt Software account. Click the Log In button to begin logging in. If you do not have an account, you can create one by clicking Register or visiting https://www.playitsoftware.com/Account/Register .
If the computer you are using is not connected to the internet, you can activate offline.

The contents of Getting Started

Logging In
Activating Offline


Logging In

To begin using PlayIt Cartwall, enter your PlayIt Software account email address and password, or you can log in using your Facebook account.
From the Get Started window, click Log In...
Once you are logged in, the main window will be shown.

The contents of Logging In

Enter registration details
Verify email address


×

  • Getting Started
  • Logging In
  • Enter registration details
  • Previous page
  • Next page

Enter registration details

Enter your details and click Register.


Verify email address

Check your registered email account and follow the link in an email with the subject "PlayIt Software: Please verify your email address...". To ensure you receive this email, please add noreply@playitsoftware.com to your address book. Once you have followed the link you will be logged in.


Activating Offline

If the computer on which you have installed PlayIt Cartwall is not connected to the internet is it possible to activate offline.
From the Activation window, click Activate Offline...
From the Activate Offline window, you can enter your Licence Key. This is generated from the Licences page in the My Account area of the PlayIt Software website. A licence can be generated by visiting: http://www.playitsoftware.com/Account/Licences/Generate. You may be prompted to log in or create an account.
From the Generate New Licence section, select PlayIt Cartwall and ensure that v2.01+ is selected as the version. Enter the Computer Name and Machine Code you see on PlayIt Cartwall and click Generate Licence Key.
Once generated you will be presented with a licence. Make a note of the Licence Key and copy this to the PlayIt Cartwall window. Alternatively, download the licence file and select the file within PlayIt Cartwall. Note that licence keys start with the text 3*.


The Main Window

The Main Window
When PlayIt Cartwall first starts you will be presented with a grid of QuickCarts with the default configuration using the default sound card audio device. Here you can drag and drop audio files from the file system, e.g. Windows Explorer, to load them into a QuickCart. You can add pages by clicking on the page name at the top. The carts and pages you add will be saved and will be available the next time you run PlayIt Cartwall.

Menu

The top menu bar provides options to set up PlayIt Cartwall.
The File menu contains:
Settings: Configure the user interface and audio devices.
Exit: Close PlayIt Cartwall.
The Help menu contains:
Online Documentation: A link to the documentation page on the PlayIt Software website.
Donate: An opportunity to give back to PlayIt Software.
About PlayIt Cartwall: View that latest version and check for updates.
Top

Paging controls

2. Paging controls
QuickCarts can be shown on multiple pages. This is convenient is specific jingles are used on certain shows so a page can be created for later use.
Use the left and right arrows to navigate pages and click the page name to launch the QuickCart Pages window.
Top

Row of QuickCarts

3. Row of QuickCarts
QuickCarts can be displayed in multiple rows.
When loaded, the player appears in the default colour displaying the artist and the title of the track with the remaining time below.
In Playback operation mode, to start the player, simply click anywhere in the box. When playing, the progress is shown as the background and the status 'PLAYING' will be shown. If the cart is configure to Loop, when the position reaches the Loop B point (or the end if Loop B is not set) it will return to the Loop A point and continue playing. The status 'LOOPING' will be shown. If the cart is configure as Solo, then this cart is played, all other playing carts will fade out and stop. It will also fade out and stop if any other carts start playing. Solo carts are designed to be the only cart playing at any particular time.
In Playback operation mode, to fade out and stop the player when it is playing, simply click the box again. The player will turn a dark shade of grey and the status 'FADING' will be shown. To force a stop and bypass fading click the box once again. The fade time is configured in Settings. By default the playback sequence is Play -> Fade out -> Stop, this can be changed by editing a cart. Possible options are to immediately stop and not fade (Play -> Stop) or cease looping if the cart is looping (Play -> Cease loop -> Fade -> Stop). When the loop has ceased, the status 'FINISHING' will be shown and the cart will play until the end or until the cart is clicked again when it will fade and stop.
Top

Page indicator

4. Page indicator
Indicates the position of the current page in relation to the other pages. Click a circle to navigate to that page.
Top

Playback operation mode

5. Playback operation mode
Click the hand button to enter the Playback operation mode. This will allow you to play, fade out and stop the players.
Top

Edit operation mode

6. Edit operation mode
Click the pencil button to enter the Edit operation mode. In this mode when you click a QuickCart the Edit QuickCart window will appear. This will allow you to select a new track or file and operationally override the artist and title. Right click a QuickCart to eject the player when in Edit operation mode.
Top

Paint operation mode

7. Paint operation mode
Click the paint bucket button to enter the Paint operation mode. In this mode when you click a QuickCart the background colour of the QuickCart will change. To change the colour that is painted, double-click the paint button button. This will allow you to select a new colour.
TIP: While in Edit or Paint mode, hold the CTRL key to temporary enter Playback mode.
Top

Full-screen mode

8. Full-screen mode
Click the full-screen button to maximise PlayIt Cartwall to the full width and height of the screen. When in full-screen mode the menu will also be hidden.
Top

The contents of The Main Window

QuickCart Pages Window
Edit QuickCart Window


QuickCart Pages Window

QuickCart Pages Window
The QuickCart pages window is used to make changed to the pages found in the QuickCarts dock or window. All actions performed in the window will be applied immediately.

Page list

1. Page list
The page list box shows the list of pages in order. Select a page here to rename it, delete it, or change its position in the list. Double-click on an item in the page list to make it 'current' and quickly navigate to that page on the main window.
Top

Add Page button

2. Add Page button
Click the Add Page button to add a new page to the bottom of the list.
Top

Rename Page button

3. Rename Page button
Click the Rename Page button to rename the selected page.
Top

Delete Page button

4. Delete Page button
Click the Delete Page button to delete the selected page. A confirmation window will appear to ensure you want to delete the page as this is an irreversible action. It is not possible to delete the last remaining page.
Top

Move Up button

5. Move Up button
Click the Move Up button to move the selected page one position up in the list.
Top

Move Down button

6. Move Down button
Click the Move Down button to move the selected page one position down in the list.
Top

Close button

7. Close button
Click the Close button to close the window.
Top


Edit QuickCart Window

Edit QuickCart Window
The Edit QuickCart window allows you to edit individual QuickCart settings.

File path

1. File path
The path to the audio file on the file system. Click the Browse button to select a new audio file.
Top

Artist

Edit the artist text to change the artist that is displayed on the QuickCart on the main window.
Top

Title

Edit the title text to change the title that is displayed on the QuickCart on the main window.
Top

Background colour

4. Background colour
Click the colour box to select a new background colour for the QuickCart. Click Use Default to revert to the default colour configurable in Settings.
Top

Solo

If Solo is checked, when the cart is played it will cause all other carts to fade out and stop. This cart will also fade out and stop when any other cart starts playing. Solo ensures this cart is the only cart playing at any particular time.
Top

Loop

If Loop is checked, when the cart is played it will loop between points Loop A and Loop B. The Loop A and Loop B cue points will appear in the Cue Points section when Loop is checked. If Loop B is not set, the cart will loop from the end of the cart. If Loop A is not set, the cart will seek to the Cue In point when the loop point is reached.
Top

Playback sequence

7. Playback sequence
The playback sequence determines how the cart behaves when the cart is clicked on the main interface. In this example, the cart will Play, then Fade out, then Stop respectively for each mouse click. To change how the cart behaves, click any blue link. For example 'Fade out' above will display the following options allowing you to change this to Stop immediately:
and change the playback sequence to:
For looping carts there are additional options:
You can choose to 'Cease loop' when the cart is clicked. This will prevent the cart from looping anymore and behave like a non-looping cart. You can also choose to 'Go to Loop B' which will cause the cart to jump to the end of the loop sequence. This can be useful if you have a background bed that loops, but also has an end that you want the listener to hear when you have finished speaking.
Top

Cue Point settings

8. Cue Point settings
The Cue In point is the position in seconds where the track should be started by a player. Use the Set button while listening to the track to set the point to the current position. Use the Test button to listen to the track from the set position.
For looping carts, there are two additional cue points, Loop A and Loop B (see above).
Top

Waveform

The waveform shows the volume of the audio track over time. Overlaid on the waveform in green is the Cue In points that is set above. Double-click anywhere in the track to play from that position.
Use the mouse wheel to zoom in and out of the waveform to set a cue point more precisely or use the zoom in and out buttons:
You can also use the playback controls below the waveform.
Top

Playback buttons

10. Playback buttons
Use the Play and Stop buttons to listen to the track. Use the Back and Forward buttons to jump to the start and end of the track. You can also view the current position in the track. The audio device (sound card) used to play back the audio can be configured in Settings .
Top

Analyse button

11. Analyse button
Click the Analyse button to automatically detect the Cue In point based on the silence at the start of the QuickCart track.
Top

OK button

12. OK button
Click the OK to confirm changes to the QuickCart.
Top

Cancel button

13. Cancel button
Click the Cancel button to discard changes to the QuickCart.
Top


Settings Window

The user interface and audio devices can be configured from the settings window. The settings window can be opened by going to File > Settings from the Main Window menu.

Playback audio device

1. Playback audio device
QuickCarts can be assigned to a particular audio device (typically a sound card) on your computer.
Top

Editor audio device

2. Editor audio device
The audio device (sound card) used for playback in the Edit QuickCart window.
Top

Number of QuickCart rows

3. Number of QuickCart rows
The number of QuickCart rows that are displayed per page. As more QuickCart rows are displayed they will be resized to fit the available space on the screen.
Top

Number of QuickCarts per row

4. Number of QuickCarts per row
The number of QuickCarts that are displayed per row (or number of columns). As more QuickCarts are displayed per row they will be resized to fit the available space on the screen.
Top

Default QuickCart colour

5. Default QuickCart colour
The default colour of a QuickCart. When an audio file is dropped from the file system, this colour will be shown by default. To change the colour click the Change button or click in the colour in the box.
Top

Track fade time

6. Track fade time
Use the dropdown to select the time it will take to fade out a track when a QuickCart is clicked to fade.
Top

Startup

Tick this box to automatically start PlayIt Cartwall after you log into the computer.
Top

OK button

8. OK button
Click the OK button to confirm your changes.
Top

Cancel button

9. Cancel button
Click the Cancel button to discard your changes.
Top

The contents of Settings Window

Keyboard Settings


Keyboard Settings

The keyboard settings section allows you to bind PlayIt Cartwall actions (commands) to keyboard shortcuts. Select an item in the list to edit the binding.

Keyboard binding list

1. Keyboard binding list
This list shows the possible commands to which you can bind a keyboard shortcut. Select a command in the list to edit the keyboard binding.
Top

Edit keyboard binding section

2. Edit keyboard binding section
Once you have selected a binding from the list, it is possible to edit the binding from this selection. When no key is currently bound the text '<key>' will be shown beside the check boxes.
In the screenshot shown the keyboard shortcut CTRL+Right is bound to move to the next QuickCart page.
To set up this binding from scratch, select CTRL and click the '<key>' text box. You will be prompted to press a key, press the Right arrow on your keyboard. This keyboard shortcut is now configured. To clear the binding, click the Clear button.
Top

Global trigger selection

3. Global trigger selection
Select this checkbox to trigger keyboard commands even when PlayIt Cartwall is not selected.
Top


About PlayIt Cartwall

About PlayIt Cartwall

Current Version

1. Current Version
Top

New Version Check

2. New Version Check
When a new version is available you will be notified with a link to download the latest version.
Top

OK button

3. OK button
Click the OK button to close the window.
Top